Fetch Message Threads
This API retrieves a list of message threads from the authenticated user's LinkedIn inbox.
POST /api/v1/personal_message_threads
This API retrieves a list of message threads from the authenticated user's LinkedIn inbox.
Headers
| Name | Type | Required |
|---|---|---|
x-api-key | string | Yes |
x-api-secret | string | Yes |
Request Body
Schema
accountIdstringrequiredThe unique identifier of the WeLink account.
Sample Request
{
"accountId": "string"
}
Responses
Webhook Events
Schema
statusstringStatus indicating the request completed successfully (e.g. "SUCCESS").
requestIdstringUnique identifier for the request.
resultobjectThe response payload.
threadsarray[]Array of message threads.
next_cursorstringPagination cursor for the next page of results.
Sample Response
{
"status": "string",
"requestId": "string",
"result": {
"threads": [
{
"thread_id": "string",
"created_at": 0,
"last_activity_at": 0,
"read": false,
"unread_count": 0,
"profile_id": "string",
"first_name": "string",
"last_name": "string",
"full_name": "string",
"degree": "string",
"image": "string",
"last_message_body": "string",
"last_message_at": 0,
"last_message_id": "string"
}
],
"next_cursor": "string"
}
}